Get AGENT tags
Retrieves the list of ITEM_TAG resources associated with the target AGENT
identified by uid_based_id. Returns an empty list when the target has no tags.
- Type: string Format: uuidrequired
An identifier in the form of a HIER_OBJECT_ID identifier taken from VERSIONED_OBJECT.uid.value (i.e. a
versioned_object_uid).Cadasto exception: unlike the upstream openEHR ITS-REST specification, Cadasto only accepts the
versioned_object_uidform on/tagsendpoints. Targeting a specific version with an OBJECT_VERSION_ID is not supported — tags are scoped to the versioned object as a whole.
- application/json
- 404
404 Not Foundis returned when, based on the request parameters, the server did not find a current representation of a target resource, or is not willing to disclose that one exists.
curl https://cataniamc.prod.cadasto.com/v1/demographic/agent/123e4567-e89b-12d3-a456-426614174000/tags
[
{
"key": "string",
"value": "string",
"target_path": "string",
"target": {
"id": {
"_type": "OBJECT_VERSION_ID",
"value": "fb458d9c-1323-42bc-b7f8-787f3660a0b5::cataniamc.prod.cadasto.com::1"
},
"namespace": "local",
"type": "COMPOSITION"
},
"owner_id": "[Circular]"
}
]